<?php
/**
* Template part for displaying posts.
*
* @link https://codex.wordpress.org/Template_Hierarchy
*
* @package Theme Palace
* @subpackage Kompany
* @since Kompany 1.0.0
*/
$options = kompany_get_theme_options();
$class = has_post_thumbnail() ? '' : 'no-post-thumbnail';
?>

<article class="hentry">
	<?php if (has_post_thumbnail()): ?>
		<div class="featured-image">
			<a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url( 'large' ) ?>" alt="<?php the_title(); ?>"></a>
		</div> 
	<?php endif; ?>

<div class="entry-container">
	<div class="entry-content">
		<?php
		the_content( sprintf(
			/* translators: %s: Name of current post. */
			wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'kompany' ), array( 'span' => array( 'class' => array() ) ) ),
			the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'kompany' ),
			'after'  => '</div>',
			) );
			?>
		</div><!-- .entry-content -->
	</div><!-- .entry-container -->

	<div class="entry-meta">
		<?php echo kompany_author_meta(); ?>

	<?php 
	if ( $options['single_post_hide_date'] == false ) :

		kompany_posted_on();

	endif;

	kompany_entry_footer(); ?>   
</div><!-- .entry-meta -->
</article>